# Makefile.in generated by automake 1.14.1 from Makefile.am.
# lib/c_glib/test/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/thrift
pkgincludedir = $(includedir)/thrift
pkglibdir = $(libdir)/thrift
pkglibexecdir = $(libexecdir)/thrift
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-cygwin
host_triplet = i686-pc-cygwin
check_PROGRAMS = testapplicationexception$(EXEEXT) \
	testtransportsocket$(EXEEXT) testbinaryprotocol$(EXEEXT) \
	testbufferedtransport$(EXEEXT) testframedtransport$(EXEEXT) \
	testmemorybuffer$(EXEEXT) teststruct$(EXEEXT) \
	testsimpleserver$(EXEEXT) testdebugproto$(EXEEXT) \
	testoptionalrequired$(EXEEXT) testthrifttest$(EXEEXT) \
	$(am__EXEEXT_1)
#am__append_1 = testthrifttestclient
#am__append_2 = libtestgencpp.la
TESTS = $(check_PROGRAMS)
subdir = lib/c_glib/test
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/depcomp
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/aclocal/ac_prog_bison.m4 \
	$(top_srcdir)/aclocal/ax_boost_base.m4 \
	$(top_srcdir)/aclocal/ax_check_openssl.m4 \
	$(top_srcdir)/aclocal/ax_cxx_compile_stdcxx_11.m4 \
	$(top_srcdir)/aclocal/ax_dmd.m4 \
	$(top_srcdir)/aclocal/ax_javac_and_java.m4 \
	$(top_srcdir)/aclocal/ax_lib_event.m4 \
	$(top_srcdir)/aclocal/ax_lib_zlib.m4 \
	$(top_srcdir)/aclocal/ax_prog_perl_modules.m4 \
	$(top_srcdir)/aclocal/ax_signed_right_shift.m4 \
	$(top_srcdir)/aclocal/ax_thrift_internal.m4 \
	$(top_srcdir)/aclocal/libtool.m4 \
	$(top_srcdir)/aclocal/ltoptions.m4 \
	$(top_srcdir)/aclocal/ltsugar.m4 \
	$(top_srcdir)/aclocal/ltversion.m4 \
	$(top_srcdir)/aclocal/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h \
	$(top_builddir)/lib/cpp/src/thrift/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
libtestgenc_la_DEPENDENCIES =  \
	$(top_builddir)/lib/c_glib/libthrift_c_glib.la
nodist_libtestgenc_la_OBJECTS = t_test_debug_proto_test_types.lo \
	t_test_empty_service.lo t_test_inherited.lo \
	t_test_optional_required_test_types.lo \
	t_test_reverse_order_service.lo t_test_second_service.lo \
	t_test_service_for_exception_with_a_map.lo t_test_srv.lo \
	t_test_thrift_test.lo t_test_thrift_test_types.lo
libtestgenc_la_OBJECTS = $(nodist_libtestgenc_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libtestgencpp_la_LIBADD =
nodist_libtestgencpp_la_OBJECTS = libtestgencpp_la-ThriftTest.lo \
	libtestgencpp_la-ThriftTest_constants.lo \
	libtestgencpp_la-ThriftTest_types.lo
libtestgencpp_la_OBJECTS = $(nodist_libtestgencpp_la_OBJECTS)
#am_libtestgencpp_la_rpath =
#am__EXEEXT_1 = testthrifttestclient$(EXEEXT)
am_testapplicationexception_OBJECTS =  \
	testapplicationexception.$(OBJEXT)
testapplicationexception_OBJECTS =  \
	$(am_testapplicationexception_OBJECTS)
testapplicationexception_DEPENDENCIES =  \
	../libthrift_c_glib_la-thrift_application_exception.o \
	../libthrift_c_glib_la-thrift_protocol.o \
	../libthrift_c_glib_la-thrift_struct.o \
	../libthrift_c_glib_la-thrift_transport.o
am_testbinaryprotocol_OBJECTS = testbinaryprotocol.$(OBJEXT)
testbinaryprotocol_OBJECTS = $(am_testbinaryprotocol_OBJECTS)
testbinaryprotocol_DEPENDENCIES =  \
	../libthrift_c_glib_la-thrift_protocol.o \
	../libthrift_c_glib_la-thrift_transport.o \
	../libthrift_c_glib_la-thrift_socket.o \
	../libthrift_c_glib_la-thrift_server_transport.o \
	../libthrift_c_glib_la-thrift_server_socket.o
am_testbufferedtransport_OBJECTS = testbufferedtransport.$(OBJEXT)
testbufferedtransport_OBJECTS = $(am_testbufferedtransport_OBJECTS)
testbufferedtransport_DEPENDENCIES =  \
	../libthrift_c_glib_la-thrift_transport.o \
	../libthrift_c_glib_la-thrift_socket.o \
	../libthrift_c_glib_la-thrift_server_transport.o \
	../libthrift_c_glib_la-thrift_server_socket.o
am_testdebugproto_OBJECTS = testdebugproto.$(OBJEXT)
testdebugproto_OBJECTS = $(am_testdebugproto_OBJECTS)
testdebugproto_DEPENDENCIES = libtestgenc.la
am_testframedtransport_OBJECTS = testframedtransport.$(OBJEXT)
testframedtransport_OBJECTS = $(am_testframedtransport_OBJECTS)
testframedtransport_DEPENDENCIES =  \
	../libthrift_c_glib_la-thrift_transport.o \
	../libthrift_c_glib_la-thrift_socket.o \
	../libthrift_c_glib_la-thrift_server_transport.o \
	../libthrift_c_glib_la-thrift_server_socket.o
am_testmemorybuffer_OBJECTS = testmemorybuffer.$(OBJEXT)
testmemorybuffer_OBJECTS = $(am_testmemorybuffer_OBJECTS)
testmemorybuffer_DEPENDENCIES =  \
	../libthrift_c_glib_la-thrift_transport.o
am_testoptionalrequired_OBJECTS = testoptionalrequired.$(OBJEXT)
testoptionalrequired_OBJECTS = $(am_testoptionalrequired_OBJECTS)
testoptionalrequired_DEPENDENCIES =  \
	../libthrift_c_glib_la-thrift_protocol.o \
	../libthrift_c_glib_la-thrift_transport.o libtestgenc.la
am_testsimpleserver_OBJECTS = testsimpleserver.$(OBJEXT)
testsimpleserver_OBJECTS = $(am_testsimpleserver_OBJECTS)
testsimpleserver_DEPENDENCIES =  \
	../libthrift_c_glib_la-thrift_protocol.o \
	../libthrift_c_glib_la-thrift_transport.o \
	../libthrift_c_glib_la-thrift_transport_factory.o \
	../libthrift_c_glib_la-thrift_processor.o \
	../libthrift_c_glib_la-thrift_protocol_factory.o \
	../libthrift_c_glib_la-thrift_binary_protocol.o \
	../libthrift_c_glib_la-thrift_binary_protocol_factory.o \
	../libthrift_c_glib_la-thrift_socket.o \
	../libthrift_c_glib_la-thrift_server_transport.o \
	../libthrift_c_glib_la-thrift_server_socket.o \
	../libthrift_c_glib_la-thrift_server.o
am_teststruct_OBJECTS = teststruct.$(OBJEXT)
teststruct_OBJECTS = $(am_teststruct_OBJECTS)
teststruct_DEPENDENCIES = ../libthrift_c_glib_la-thrift_protocol.o \
	../libthrift_c_glib_la-thrift_transport.o
am_testthrifttest_OBJECTS = testthrifttest.$(OBJEXT)
testthrifttest_OBJECTS = $(am_testthrifttest_OBJECTS)
testthrifttest_DEPENDENCIES = libtestgenc.la
am_testthrifttestclient_OBJECTS =  \
	testthrifttestclient-testthrifttestclient.$(OBJEXT)
testthrifttestclient_OBJECTS = $(am_testthrifttestclient_OBJECTS)
testthrifttestclient_DEPENDENCIES = ../../cpp/.libs/libthrift.la \
	../libthrift_c_glib.la libtestgenc.la libtestgencpp.la
testthrifttestclient_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(testthrifttestclient_LDFLAGS) \
	$(LDFLAGS) -o $@
am_testtransportsocket_OBJECTS = testtransportsocket.$(OBJEXT)
testtransportsocket_OBJECTS = $(am_testtransportsocket_OBJECTS)
testtransportsocket_DEPENDENCIES =  \
	../libthrift_c_glib_la-thrift_transport.o \
	../libthrift_c_glib_la-thrift_buffered_transport.o \
	../libthrift_c_glib_la-thrift_server_transport.o \
	../libthrift_c_glib_la-thrift_server_socket.o
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir) -I$(top_builddir)/lib/cpp/src/thrift
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_$(V))
am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
SOURCES = $(nodist_libtestgenc_la_SOURCES) \
	$(nodist_libtestgencpp_la_SOURCES) \
	$(testapplicationexception_SOURCES) \
	$(testbinaryprotocol_SOURCES) $(testbufferedtransport_SOURCES) \
	$(testdebugproto_SOURCES) $(testframedtransport_SOURCES) \
	$(testmemorybuffer_SOURCES) $(testoptionalrequired_SOURCES) \
	$(testsimpleserver_SOURCES) $(teststruct_SOURCES) \
	$(testthrifttest_SOURCES) $(testthrifttestclient_SOURCES) \
	$(testtransportsocket_SOURCES)
DIST_SOURCES = $(testapplicationexception_SOURCES) \
	$(testbinaryprotocol_SOURCES) $(testbufferedtransport_SOURCES) \
	$(testdebugproto_SOURCES) $(testframedtransport_SOURCES) \
	$(testmemorybuffer_SOURCES) $(testoptionalrequired_SOURCES) \
	$(testsimpleserver_SOURCES) $(teststruct_SOURCES) \
	$(testthrifttest_SOURCES) $(testthrifttestclient_SOURCES) \
	$(testtransportsocket_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	distdir
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    am__color_tests=yes; \
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    am__color_tests=yes; \
  fi; \
  if test $$am__color_tests = yes; then \
    red='[0;31m'; \
    grn='[0;32m'; \
    lgn='[1;32m'; \
    blu='[1;34m'; \
    mgn='[0;35m'; \
    brg='[1m'; \
    std='[m'; \
  fi; \
}
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /home/Eion/win32-dev/thrift-0.9.2/missing aclocal-1.14
ALLOCA = 
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
ANT = 
ANT_FLAGS = 
AR = ar
AUTOCONF = ${SHELL} /home/Eion/win32-dev/thrift-0.9.2/missing autoconf
AUTOHEADER = ${SHELL} /home/Eion/win32-dev/thrift-0.9.2/missing autoheader
AUTOMAKE = ${SHELL} /home/Eion/win32-dev/thrift-0.9.2/missing automake-1.14
AWK = gawk
BISON = :
BOOST_CPPFLAGS = -I/include/boost-0
BOOST_LDFLAGS = -L/lib
BUNDLER = 
CABAL = true
CABAL_CONFIGURE_FLAGS = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = 
CLASSPATH = 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g
CYGPATH_W = cygpath -w
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DMD = 
DMD_LIBEVENT_FLAGS = 
DMD_OF_DIRSEP = 
DMD_OPENSSL_FLAGS = 
DSYMUTIL = 
DUMPBIN = 
D_EVENT_LIB_NAME = thriftd-event.lib
D_IMPORT_PREFIX = ${prefix}/include/d2
D_LIB_NAME = thriftd.lib
D_SSL_LIB_NAME = thriftd-ssl.lib
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_COVERAGE = 2
ERL = 
ERLANG_INSTALL_LIB_DIR = 
ERLANG_INSTALL_LIB_DIR_thrift = 
ERLANG_LIB_DIR = 
ERLC = 
ERLCFLAGS = 
EXEEXT = .exe
FGREP = /usr/bin/grep -F
GCOV_CFLAGS = 
GCOV_CXXFLAGS = 
GCOV_LDFLAGS = 
GLIB_CFLAGS = 
GLIB_LIBS = 
GO = 
GOBJECT_CFLAGS = 
GOBJECT_LIBS = 
GREP = /usr/bin/grep
HAVE_CXX11 = 1
INSTALL = /usr/bin/install -c
INSTALLDIRS = vendor
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
JAVA_PREFIX = /usr/local/lib
LD = c:/cygwin/home/eion/win32-dev/mingw/mingw32/bin/ld.exe
LDFLAGS = 
LEX = ${SHELL} /home/Eion/win32-dev/thrift-0.9.2/missing flex
LEXLIB = 
LEX_OUTPUT_ROOT = 
LIBEVENT_CPPFLAGS = 
LIBEVENT_LDFLAGS = 
LIBEVENT_LIBS = 
LIBOBJS = 
LIBS = -lrt -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LUA = 
MAKEINFO = ${SHELL} /home/Eion/win32-dev/thrift-0.9.2/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MONO_CFLAGS = 
MONO_LIBS = 
NM = /home/Eion/win32-dev/mingw/bin/nm -B
NMEDIT = 
NODEJS = /cygdrive/c/Program Files/nodejs/node
NPM = /cygdrive/c/Program Files/nodejs/npm
OBJDUMP = objdump
OBJEXT = o
OPENSSL_INCLUDES = 
OPENSSL_LDFLAGS = 
OPENSSL_LIBS = 
OTOOL = 
OTOOL64 = 
PACKAGE = thrift
PACKAGE_BUGREPORT = 
PACKAGE_NAME = thrift
PACKAGE_STRING = thrift 0.9.2
PACKAGE_TARNAME = thrift
PACKAGE_URL = 
PACKAGE_VERSION = 0.9.2
PATH_SEPARATOR = :
PERL = /usr/bin/perl
PERL_PREFIX = /usr/local
PHP = 
PHPUNIT = 
PHP_CONFIG = 
PHP_CONFIG_PREFIX = /etc/php.d
PHP_PREFIX = /usr/lib/php
PKG_CONFIG = 
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PYTHON = /usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = cygwin
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.7
PY_PREFIX = /usr
QT_CFLAGS = 
QT_LIBS = 
QT_MOC = 
RANLIB = ranlib
RUBY = 
RUBY_PREFIX = 
RUNHASKELL = true
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TRIAL = 
VERSION = 0.9.2
YACC = yacc
YFLAGS = 
ZLIB_CPPFLAGS = 
ZLIB_LDFLAGS = 
ZLIB_LIBS = 
abs_builddir = /home/Eion/win32-dev/thrift-0.9.2/lib/c_glib/test
abs_srcdir = /home/Eion/win32-dev/thrift-0.9.2/lib/c_glib/test
abs_top_builddir = /home/Eion/win32-dev/thrift-0.9.2
abs_top_srcdir = /home/Eion/win32-dev/thrift-0.9.2
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = i686-pc-cygwin
build_alias = 
build_cpu = i686
build_os = cygwin
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
have_prog_bison = no
host = i686-pc-cygwin
host_alias = 
host_cpu = i686
host_os = cygwin
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/Eion/win32-dev/thrift-0.9.2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/thrift
pkgpythondir = ${pythondir}/thrift
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.7/site-packages
pythondir = ${prefix}/lib/python2.7/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
subdirs = 
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../../
top_builddir = ../../..
top_srcdir = ../../..

#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License. You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied. See the License for the
# specific language governing permissions and limitations
# under the License.
#
AUTOMAKE_OPTIONS = serial-tests
SUBDIRS = 
AM_CPPFLAGS = -g -Wall -I../src $(GLIB_CFLAGS)
AM_LDFLAGS = $(GLIB_LIBS) $(GOBJECT_LIBS) 
testapplicationexception_SOURCES = testapplicationexception.c
testapplicationexception_LDADD = \
    ../libthrift_c_glib_la-thrift_application_exception.o \
    ../libthrift_c_glib_la-thrift_protocol.o \
    ../libthrift_c_glib_la-thrift_struct.o \
    ../libthrift_c_glib_la-thrift_transport.o

testtransportsocket_SOURCES = testtransportsocket.c
testtransportsocket_LDADD = \
    ../libthrift_c_glib_la-thrift_transport.o \
    ../libthrift_c_glib_la-thrift_buffered_transport.o \
    ../libthrift_c_glib_la-thrift_server_transport.o \
    ../libthrift_c_glib_la-thrift_server_socket.o

testbinaryprotocol_SOURCES = testbinaryprotocol.c
testbinaryprotocol_LDADD = \
    ../libthrift_c_glib_la-thrift_protocol.o \
    ../libthrift_c_glib_la-thrift_transport.o \
    ../libthrift_c_glib_la-thrift_socket.o \
    ../libthrift_c_glib_la-thrift_server_transport.o \
    ../libthrift_c_glib_la-thrift_server_socket.o

testbufferedtransport_SOURCES = testbufferedtransport.c
testbufferedtransport_LDADD = \
    ../libthrift_c_glib_la-thrift_transport.o \
    ../libthrift_c_glib_la-thrift_socket.o \
    ../libthrift_c_glib_la-thrift_server_transport.o \
    ../libthrift_c_glib_la-thrift_server_socket.o

testframedtransport_SOURCES = testframedtransport.c
testframedtransport_LDADD = \
    ../libthrift_c_glib_la-thrift_transport.o \
    ../libthrift_c_glib_la-thrift_socket.o \
    ../libthrift_c_glib_la-thrift_server_transport.o \
    ../libthrift_c_glib_la-thrift_server_socket.o

testmemorybuffer_SOURCES = testmemorybuffer.c
testmemorybuffer_LDADD = \
    ../libthrift_c_glib_la-thrift_transport.o

teststruct_SOURCES = teststruct.c
teststruct_LDADD = \
    ../libthrift_c_glib_la-thrift_protocol.o \
    ../libthrift_c_glib_la-thrift_transport.o

testsimpleserver_SOURCES = testsimpleserver.c
testsimpleserver_LDADD = \
    ../libthrift_c_glib_la-thrift_protocol.o \
    ../libthrift_c_glib_la-thrift_transport.o \
    ../libthrift_c_glib_la-thrift_transport_factory.o \
    ../libthrift_c_glib_la-thrift_processor.o \
    ../libthrift_c_glib_la-thrift_protocol_factory.o \
    ../libthrift_c_glib_la-thrift_binary_protocol.o \
    ../libthrift_c_glib_la-thrift_binary_protocol_factory.o \
    ../libthrift_c_glib_la-thrift_socket.o \
    ../libthrift_c_glib_la-thrift_server_transport.o \
    ../libthrift_c_glib_la-thrift_server_socket.o \
    ../libthrift_c_glib_la-thrift_server.o

testdebugproto_SOURCES = testdebugproto.c
testdebugproto_LDADD = libtestgenc.la
testoptionalrequired_SOURCES = testoptionalrequired.c
testoptionalrequired_LDADD = \
    ../libthrift_c_glib_la-thrift_protocol.o \
    ../libthrift_c_glib_la-thrift_transport.o \
    libtestgenc.la

testthrifttest_SOURCES = testthrifttest.c
testthrifttest_LDADD = libtestgenc.la
testthrifttestclient_SOURCES = testthrifttestclient.cpp
testthrifttestclient_CPPFLAGS = -I../../cpp/src $(BOOST_CPPFLAGS) -I./gen-cpp -I../src -I./gen-c_glib $(GLIB_CFLAGS)
testthrifttestclient_LDADD = ../../cpp/.libs/libthrift.la ../libthrift_c_glib.la libtestgenc.la libtestgencpp.la
testthrifttestclient_LDFLAGS = -L../.libs -L../../cpp/.libs $(GLIB_LIBS) $(GOBJECT_LIBS)
check_LTLIBRARIES = libtestgenc.la $(am__append_2)
nodist_libtestgenc_la_SOURCES = \
        gen-c_glib/t_test_debug_proto_test_types.c \
        gen-c_glib/t_test_empty_service.c \
        gen-c_glib/t_test_inherited.c \
        gen-c_glib/t_test_optional_required_test_types.c \
        gen-c_glib/t_test_reverse_order_service.c \
        gen-c_glib/t_test_second_service.c \
        gen-c_glib/t_test_service_for_exception_with_a_map.c \
        gen-c_glib/t_test_srv.c \
        gen-c_glib/t_test_thrift_test.c \
        gen-c_glib/t_test_thrift_test_types.c \
        gen-c_glib/t_test_debug_proto_test_types.h \
        gen-c_glib/t_test_empty_service.h \
        gen-c_glib/t_test_inherited.h \
        gen-c_glib/t_test_optional_required_test_types.h \
        gen-c_glib/t_test_reverse_order_service.h \
        gen-c_glib/t_test_second_service.h \
        gen-c_glib/t_test_service_for_exception_with_a_map.h \
        gen-c_glib/t_test_srv.h \
        gen-c_glib/t_test_thrift_test.h \
        gen-c_glib/t_test_thrift_test_types.h

libtestgenc_la_LIBADD = $(top_builddir)/lib/c_glib/libthrift_c_glib.la
nodist_libtestgencpp_la_SOURCES = \
        gen-cpp/ThriftTest.cpp \
        gen-cpp/ThriftTest_constants.cpp \
        gen-cpp/ThriftTest_types.cpp \
        gen-cpp/ThriftTest.h \
        gen-cpp/ThriftTest_constants.h \
        gen-cpp/ThriftTest_types.h

libtestgencpp_la_CPPFLAGS = -I../../cpp/src $(BOOST_CPPFLAGS) -I./gen-cpp
THRIFT = $(top_builddir)/compiler/cpp/thrift

# globally added to all instances of valgrind calls
# VALGRIND_OPTS = --suppressions=glib.suppress
VALGRIND_OPTS = 

# globally added to all memcheck calls
VALGRIND_MEM_OPTS = --tool=memcheck \
                    --num-callers=10 \
                    ${myextravalgrindmemopts}


# globally added to all leakcheck calls
VALGRIND_LEAK_OPTS = --tool=memcheck \
                     --num-callers=10 \
                     --leak-check=full \
                     --leak-resolution=high \
                     ${myextravalgrindleakopts}

CLEANFILES = \
    *.bb                                \
    *.bbg                               \
    *.da                                \
    *.gcno                              \
    *.gcda                              \
    *.gcov

all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .cpp .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lib/c_glib/test/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign lib/c_glib/test/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-checkLTLIBRARIES:
	-test -z "$(check_LTLIBRARIES)" || rm -f $(check_LTLIBRARIES)
	@list='$(check_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	test -z "$$locs" || { \
	  echo rm -f $${locs}; \
	  rm -f $${locs}; \
	}

libtestgenc.la: $(libtestgenc_la_OBJECTS) $(libtestgenc_la_DEPENDENCIES) $(EXTRA_libtestgenc_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(LINK)  $(libtestgenc_la_OBJECTS) $(libtestgenc_la_LIBADD) $(LIBS)

libtestgencpp.la: $(libtestgencpp_la_OBJECTS) $(libtestgencpp_la_DEPENDENCIES) $(EXTRA_libtestgencpp_la_DEPENDENCIES) 
	$(AM_V_CXXLD)$(CXXLINK) $(am_libtestgencpp_la_rpath) $(libtestgencpp_la_OBJECTS) $(libtestgencpp_la_LIBADD) $(LIBS)

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

testapplicationexception$(EXEEXT): $(testapplicationexception_OBJECTS) $(testapplicationexception_DEPENDENCIES) $(EXTRA_testapplicationexception_DEPENDENCIES) 
	@rm -f testapplicationexception$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(testapplicationexception_OBJECTS) $(testapplicationexception_LDADD) $(LIBS)

testbinaryprotocol$(EXEEXT): $(testbinaryprotocol_OBJECTS) $(testbinaryprotocol_DEPENDENCIES) $(EXTRA_testbinaryprotocol_DEPENDENCIES) 
	@rm -f testbinaryprotocol$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(testbinaryprotocol_OBJECTS) $(testbinaryprotocol_LDADD) $(LIBS)

testbufferedtransport$(EXEEXT): $(testbufferedtransport_OBJECTS) $(testbufferedtransport_DEPENDENCIES) $(EXTRA_testbufferedtransport_DEPENDENCIES) 
	@rm -f testbufferedtransport$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(testbufferedtransport_OBJECTS) $(testbufferedtransport_LDADD) $(LIBS)

testdebugproto$(EXEEXT): $(testdebugproto_OBJECTS) $(testdebugproto_DEPENDENCIES) $(EXTRA_testdebugproto_DEPENDENCIES) 
	@rm -f testdebugproto$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(testdebugproto_OBJECTS) $(testdebugproto_LDADD) $(LIBS)

testframedtransport$(EXEEXT): $(testframedtransport_OBJECTS) $(testframedtransport_DEPENDENCIES) $(EXTRA_testframedtransport_DEPENDENCIES) 
	@rm -f testframedtransport$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(testframedtransport_OBJECTS) $(testframedtransport_LDADD) $(LIBS)

testmemorybuffer$(EXEEXT): $(testmemorybuffer_OBJECTS) $(testmemorybuffer_DEPENDENCIES) $(EXTRA_testmemorybuffer_DEPENDENCIES) 
	@rm -f testmemorybuffer$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(testmemorybuffer_OBJECTS) $(testmemorybuffer_LDADD) $(LIBS)

testoptionalrequired$(EXEEXT): $(testoptionalrequired_OBJECTS) $(testoptionalrequired_DEPENDENCIES) $(EXTRA_testoptionalrequired_DEPENDENCIES) 
	@rm -f testoptionalrequired$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(testoptionalrequired_OBJECTS) $(testoptionalrequired_LDADD) $(LIBS)

testsimpleserver$(EXEEXT): $(testsimpleserver_OBJECTS) $(testsimpleserver_DEPENDENCIES) $(EXTRA_testsimpleserver_DEPENDENCIES) 
	@rm -f testsimpleserver$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(testsimpleserver_OBJECTS) $(testsimpleserver_LDADD) $(LIBS)

teststruct$(EXEEXT): $(teststruct_OBJECTS) $(teststruct_DEPENDENCIES) $(EXTRA_teststruct_DEPENDENCIES) 
	@rm -f teststruct$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(teststruct_OBJECTS) $(teststruct_LDADD) $(LIBS)

testthrifttest$(EXEEXT): $(testthrifttest_OBJECTS) $(testthrifttest_DEPENDENCIES) $(EXTRA_testthrifttest_DEPENDENCIES) 
	@rm -f testthrifttest$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(testthrifttest_OBJECTS) $(testthrifttest_LDADD) $(LIBS)

testthrifttestclient$(EXEEXT): $(testthrifttestclient_OBJECTS) $(testthrifttestclient_DEPENDENCIES) $(EXTRA_testthrifttestclient_DEPENDENCIES) 
	@rm -f testthrifttestclient$(EXEEXT)
	$(AM_V_CXXLD)$(testthrifttestclient_LINK) $(testthrifttestclient_OBJECTS) $(testthrifttestclient_LDADD) $(LIBS)

testtransportsocket$(EXEEXT): $(testtransportsocket_OBJECTS) $(testtransportsocket_DEPENDENCIES) $(EXTRA_testtransportsocket_DEPENDENCIES) 
	@rm -f testtransportsocket$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(testtransportsocket_OBJECTS) $(testtransportsocket_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/libtestgencpp_la-ThriftTest.Plo
include ./$(DEPDIR)/libtestgencpp_la-ThriftTest_constants.Plo
include ./$(DEPDIR)/libtestgencpp_la-ThriftTest_types.Plo
include ./$(DEPDIR)/t_test_debug_proto_test_types.Plo
include ./$(DEPDIR)/t_test_empty_service.Plo
include ./$(DEPDIR)/t_test_inherited.Plo
include ./$(DEPDIR)/t_test_optional_required_test_types.Plo
include ./$(DEPDIR)/t_test_reverse_order_service.Plo
include ./$(DEPDIR)/t_test_second_service.Plo
include ./$(DEPDIR)/t_test_service_for_exception_with_a_map.Plo
include ./$(DEPDIR)/t_test_srv.Plo
include ./$(DEPDIR)/t_test_thrift_test.Plo
include ./$(DEPDIR)/t_test_thrift_test_types.Plo
include ./$(DEPDIR)/testapplicationexception.Po
include ./$(DEPDIR)/testbinaryprotocol.Po
include ./$(DEPDIR)/testbufferedtransport.Po
include ./$(DEPDIR)/testdebugproto.Po
include ./$(DEPDIR)/testframedtransport.Po
include ./$(DEPDIR)/testmemorybuffer.Po
include ./$(DEPDIR)/testoptionalrequired.Po
include ./$(DEPDIR)/testsimpleserver.Po
include ./$(DEPDIR)/teststruct.Po
include ./$(DEPDIR)/testthrifttest.Po
include ./$(DEPDIR)/testthrifttestclient-testthrifttestclient.Po
include ./$(DEPDIR)/testtransportsocket.Po

.c.o:
	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(COMPILE) -c -o $@ $<

.c.obj:
	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	$(AM_V_CC)source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<

t_test_debug_proto_test_types.lo: gen-c_glib/t_test_debug_proto_test_types.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_debug_proto_test_types.lo -MD -MP -MF $(DEPDIR)/t_test_debug_proto_test_types.Tpo -c -o t_test_debug_proto_test_types.lo `test -f 'gen-c_glib/t_test_debug_proto_test_types.c' || echo '$(srcdir)/'`gen-c_glib/t_test_debug_proto_test_types.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/t_test_debug_proto_test_types.Tpo $(DEPDIR)/t_test_debug_proto_test_types.Plo
#	$(AM_V_CC)source='gen-c_glib/t_test_debug_proto_test_types.c' object='t_test_debug_proto_test_types.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_debug_proto_test_types.lo `test -f 'gen-c_glib/t_test_debug_proto_test_types.c' || echo '$(srcdir)/'`gen-c_glib/t_test_debug_proto_test_types.c

t_test_empty_service.lo: gen-c_glib/t_test_empty_service.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_empty_service.lo -MD -MP -MF $(DEPDIR)/t_test_empty_service.Tpo -c -o t_test_empty_service.lo `test -f 'gen-c_glib/t_test_empty_service.c' || echo '$(srcdir)/'`gen-c_glib/t_test_empty_service.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/t_test_empty_service.Tpo $(DEPDIR)/t_test_empty_service.Plo
#	$(AM_V_CC)source='gen-c_glib/t_test_empty_service.c' object='t_test_empty_service.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_empty_service.lo `test -f 'gen-c_glib/t_test_empty_service.c' || echo '$(srcdir)/'`gen-c_glib/t_test_empty_service.c

t_test_inherited.lo: gen-c_glib/t_test_inherited.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_inherited.lo -MD -MP -MF $(DEPDIR)/t_test_inherited.Tpo -c -o t_test_inherited.lo `test -f 'gen-c_glib/t_test_inherited.c' || echo '$(srcdir)/'`gen-c_glib/t_test_inherited.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/t_test_inherited.Tpo $(DEPDIR)/t_test_inherited.Plo
#	$(AM_V_CC)source='gen-c_glib/t_test_inherited.c' object='t_test_inherited.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_inherited.lo `test -f 'gen-c_glib/t_test_inherited.c' || echo '$(srcdir)/'`gen-c_glib/t_test_inherited.c

t_test_optional_required_test_types.lo: gen-c_glib/t_test_optional_required_test_types.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_optional_required_test_types.lo -MD -MP -MF $(DEPDIR)/t_test_optional_required_test_types.Tpo -c -o t_test_optional_required_test_types.lo `test -f 'gen-c_glib/t_test_optional_required_test_types.c' || echo '$(srcdir)/'`gen-c_glib/t_test_optional_required_test_types.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/t_test_optional_required_test_types.Tpo $(DEPDIR)/t_test_optional_required_test_types.Plo
#	$(AM_V_CC)source='gen-c_glib/t_test_optional_required_test_types.c' object='t_test_optional_required_test_types.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_optional_required_test_types.lo `test -f 'gen-c_glib/t_test_optional_required_test_types.c' || echo '$(srcdir)/'`gen-c_glib/t_test_optional_required_test_types.c

t_test_reverse_order_service.lo: gen-c_glib/t_test_reverse_order_service.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_reverse_order_service.lo -MD -MP -MF $(DEPDIR)/t_test_reverse_order_service.Tpo -c -o t_test_reverse_order_service.lo `test -f 'gen-c_glib/t_test_reverse_order_service.c' || echo '$(srcdir)/'`gen-c_glib/t_test_reverse_order_service.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/t_test_reverse_order_service.Tpo $(DEPDIR)/t_test_reverse_order_service.Plo
#	$(AM_V_CC)source='gen-c_glib/t_test_reverse_order_service.c' object='t_test_reverse_order_service.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_reverse_order_service.lo `test -f 'gen-c_glib/t_test_reverse_order_service.c' || echo '$(srcdir)/'`gen-c_glib/t_test_reverse_order_service.c

t_test_second_service.lo: gen-c_glib/t_test_second_service.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_second_service.lo -MD -MP -MF $(DEPDIR)/t_test_second_service.Tpo -c -o t_test_second_service.lo `test -f 'gen-c_glib/t_test_second_service.c' || echo '$(srcdir)/'`gen-c_glib/t_test_second_service.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/t_test_second_service.Tpo $(DEPDIR)/t_test_second_service.Plo
#	$(AM_V_CC)source='gen-c_glib/t_test_second_service.c' object='t_test_second_service.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_second_service.lo `test -f 'gen-c_glib/t_test_second_service.c' || echo '$(srcdir)/'`gen-c_glib/t_test_second_service.c

t_test_service_for_exception_with_a_map.lo: gen-c_glib/t_test_service_for_exception_with_a_map.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_service_for_exception_with_a_map.lo -MD -MP -MF $(DEPDIR)/t_test_service_for_exception_with_a_map.Tpo -c -o t_test_service_for_exception_with_a_map.lo `test -f 'gen-c_glib/t_test_service_for_exception_with_a_map.c' || echo '$(srcdir)/'`gen-c_glib/t_test_service_for_exception_with_a_map.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/t_test_service_for_exception_with_a_map.Tpo $(DEPDIR)/t_test_service_for_exception_with_a_map.Plo
#	$(AM_V_CC)source='gen-c_glib/t_test_service_for_exception_with_a_map.c' object='t_test_service_for_exception_with_a_map.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_service_for_exception_with_a_map.lo `test -f 'gen-c_glib/t_test_service_for_exception_with_a_map.c' || echo '$(srcdir)/'`gen-c_glib/t_test_service_for_exception_with_a_map.c

t_test_srv.lo: gen-c_glib/t_test_srv.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_srv.lo -MD -MP -MF $(DEPDIR)/t_test_srv.Tpo -c -o t_test_srv.lo `test -f 'gen-c_glib/t_test_srv.c' || echo '$(srcdir)/'`gen-c_glib/t_test_srv.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/t_test_srv.Tpo $(DEPDIR)/t_test_srv.Plo
#	$(AM_V_CC)source='gen-c_glib/t_test_srv.c' object='t_test_srv.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_srv.lo `test -f 'gen-c_glib/t_test_srv.c' || echo '$(srcdir)/'`gen-c_glib/t_test_srv.c

t_test_thrift_test.lo: gen-c_glib/t_test_thrift_test.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_thrift_test.lo -MD -MP -MF $(DEPDIR)/t_test_thrift_test.Tpo -c -o t_test_thrift_test.lo `test -f 'gen-c_glib/t_test_thrift_test.c' || echo '$(srcdir)/'`gen-c_glib/t_test_thrift_test.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/t_test_thrift_test.Tpo $(DEPDIR)/t_test_thrift_test.Plo
#	$(AM_V_CC)source='gen-c_glib/t_test_thrift_test.c' object='t_test_thrift_test.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_thrift_test.lo `test -f 'gen-c_glib/t_test_thrift_test.c' || echo '$(srcdir)/'`gen-c_glib/t_test_thrift_test.c

t_test_thrift_test_types.lo: gen-c_glib/t_test_thrift_test_types.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_thrift_test_types.lo -MD -MP -MF $(DEPDIR)/t_test_thrift_test_types.Tpo -c -o t_test_thrift_test_types.lo `test -f 'gen-c_glib/t_test_thrift_test_types.c' || echo '$(srcdir)/'`gen-c_glib/t_test_thrift_test_types.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/t_test_thrift_test_types.Tpo $(DEPDIR)/t_test_thrift_test_types.Plo
#	$(AM_V_CC)source='gen-c_glib/t_test_thrift_test_types.c' object='t_test_thrift_test_types.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_thrift_test_types.lo `test -f 'gen-c_glib/t_test_thrift_test_types.c' || echo '$(srcdir)/'`gen-c_glib/t_test_thrift_test_types.c

.cpp.o:
	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CXX)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CXX)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	$(AM_V_CXX)source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LTCXXCOMPILE) -c -o $@ $<

libtestgencpp_la-ThriftTest.lo: gen-cpp/ThriftTest.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libtestgencpp_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libtestgencpp_la-ThriftTest.lo -MD -MP -MF $(DEPDIR)/libtestgencpp_la-ThriftTest.Tpo -c -o libtestgencpp_la-ThriftTest.lo `test -f 'gen-cpp/ThriftTest.cpp' || echo '$(srcdir)/'`gen-cpp/ThriftTest.cpp
	$(AM_V_at)$(am__mv) $(DEPDIR)/libtestgencpp_la-ThriftTest.Tpo $(DEPDIR)/libtestgencpp_la-ThriftTest.Plo
#	$(AM_V_CXX)source='gen-cpp/ThriftTest.cpp' object='libtestgencpp_la-ThriftTest.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libtestgencpp_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libtestgencpp_la-ThriftTest.lo `test -f 'gen-cpp/ThriftTest.cpp' || echo '$(srcdir)/'`gen-cpp/ThriftTest.cpp

libtestgencpp_la-ThriftTest_constants.lo: gen-cpp/ThriftTest_constants.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libtestgencpp_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libtestgencpp_la-ThriftTest_constants.lo -MD -MP -MF $(DEPDIR)/libtestgencpp_la-ThriftTest_constants.Tpo -c -o libtestgencpp_la-ThriftTest_constants.lo `test -f 'gen-cpp/ThriftTest_constants.cpp' || echo '$(srcdir)/'`gen-cpp/ThriftTest_constants.cpp
	$(AM_V_at)$(am__mv) $(DEPDIR)/libtestgencpp_la-ThriftTest_constants.Tpo $(DEPDIR)/libtestgencpp_la-ThriftTest_constants.Plo
#	$(AM_V_CXX)source='gen-cpp/ThriftTest_constants.cpp' object='libtestgencpp_la-ThriftTest_constants.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libtestgencpp_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libtestgencpp_la-ThriftTest_constants.lo `test -f 'gen-cpp/ThriftTest_constants.cpp' || echo '$(srcdir)/'`gen-cpp/ThriftTest_constants.cpp

libtestgencpp_la-ThriftTest_types.lo: gen-cpp/ThriftTest_types.cpp
	$(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libtestgencpp_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libtestgencpp_la-ThriftTest_types.lo -MD -MP -MF $(DEPDIR)/libtestgencpp_la-ThriftTest_types.Tpo -c -o libtestgencpp_la-ThriftTest_types.lo `test -f 'gen-cpp/ThriftTest_types.cpp' || echo '$(srcdir)/'`gen-cpp/ThriftTest_types.cpp
	$(AM_V_at)$(am__mv) $(DEPDIR)/libtestgencpp_la-ThriftTest_types.Tpo $(DEPDIR)/libtestgencpp_la-ThriftTest_types.Plo
#	$(AM_V_CXX)source='gen-cpp/ThriftTest_types.cpp' object='libtestgencpp_la-ThriftTest_types.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libtestgencpp_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libtestgencpp_la-ThriftTest_types.lo `test -f 'gen-cpp/ThriftTest_types.cpp' || echo '$(srcdir)/'`gen-cpp/ThriftTest_types.cpp

testthrifttestclient-testthrifttestclient.o: testthrifttestclient.cpp
	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(testthrifttestclient_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT testthrifttestclient-testthrifttestclient.o -MD -MP -MF $(DEPDIR)/testthrifttestclient-testthrifttestclient.Tpo -c -o testthrifttestclient-testthrifttestclient.o `test -f 'testthrifttestclient.cpp' || echo '$(srcdir)/'`testthrifttestclient.cpp
	$(AM_V_at)$(am__mv) $(DEPDIR)/testthrifttestclient-testthrifttestclient.Tpo $(DEPDIR)/testthrifttestclient-testthrifttestclient.Po
#	$(AM_V_CXX)source='testthrifttestclient.cpp' object='testthrifttestclient-testthrifttestclient.o' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(testthrifttestclient_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o testthrifttestclient-testthrifttestclient.o `test -f 'testthrifttestclient.cpp' || echo '$(srcdir)/'`testthrifttestclient.cpp

testthrifttestclient-testthrifttestclient.obj: testthrifttestclient.cpp
	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(testthrifttestclient_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT testthrifttestclient-testthrifttestclient.obj -MD -MP -MF $(DEPDIR)/testthrifttestclient-testthrifttestclient.Tpo -c -o testthrifttestclient-testthrifttestclient.obj `if test -f 'testthrifttestclient.cpp'; then $(CYGPATH_W) 'testthrifttestclient.cpp'; else $(CYGPATH_W) '$(srcdir)/testthrifttestclient.cpp'; fi`
	$(AM_V_at)$(am__mv) $(DEPDIR)/testthrifttestclient-testthrifttestclient.Tpo $(DEPDIR)/testthrifttestclient-testthrifttestclient.Po
#	$(AM_V_CXX)source='testthrifttestclient.cpp' object='testthrifttestclient-testthrifttestclient.obj' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(AM_V_CXX_no)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(testthrifttestclient_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o testthrifttestclient-testthrifttestclient.obj `if test -f 'testthrifttestclient.cpp'; then $(CYGPATH_W) 'testthrifttestclient.cpp'; else $(CYGPATH_W) '$(srcdir)/testthrifttestclient.cpp'; fi`

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,
# (1) if the variable is set in 'config.status', edit 'config.status'
#     (which will cause the Makefiles to be regenerated when you run 'make');
# (2) otherwise, pass the desired values on the 'make' command line.
$(am__recursive_targets):
	@fail=; \
	if $(am__make_keepgoing); then \
	  failcom='fail=yes'; \
	else \
	  failcom='exit 1'; \
	fi; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-recursive
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-recursive

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-recursive

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list=' $(TESTS) '; \
	$(am__tty_colors); \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst $(AM_TESTS_FD_REDIRECT); then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *[\ \	]$$tst[\ \	]*) \
		xpass=`expr $$xpass + 1`; \
		failed=`expr $$failed + 1`; \
		col=$$red; res=XPASS; \
	      ;; \
	      *) \
		col=$$grn; res=PASS; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *[\ \	]$$tst[\ \	]*) \
		xfail=`expr $$xfail + 1`; \
		col=$$lgn; res=XFAIL; \
	      ;; \
	      *) \
		failed=`expr $$failed + 1`; \
		col=$$red; res=FAIL; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      col=$$blu; res=SKIP; \
	    fi; \
	    echo "$${col}$$res$${std}: $$tst"; \
	  done; \
	  if test "$$all" -eq 1; then \
	    tests="test"; \
	    All=""; \
	  else \
	    tests="tests"; \
	    All="All "; \
	  fi; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="$$All$$all $$tests passed"; \
	    else \
	      if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
	      banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all $$tests failed"; \
	    else \
	      if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
	      banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    if test "$$skip" -eq 1; then \
	      skipped="($$skip test was not run)"; \
	    else \
	      skipped="($$skip tests were not run)"; \
	    fi; \
	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  if test "$$failed" -eq 0; then \
	    col="$$grn"; \
	  else \
	    col="$$red"; \
	  fi; \
	  echo "$${col}$$dashes$${std}"; \
	  echo "$${col}$$banner$${std}"; \
	  test -z "$$skipped" || echo "$${col}$$skipped$${std}"; \
	  test -z "$$report" || echo "$${col}$$report$${std}"; \
	  echo "$${col}$$dashes$${std}"; \
	  test "$$failed" -eq 0; \
	else :; fi

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    $(am__make_dryrun) \
	      || test -d "$(distdir)/$$subdir" \
	      || $(MKDIR_P) "$(distdir)/$$subdir" \
	      || exit 1; \
	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
	    $(am__relativize); \
	    new_distdir=$$reldir; \
	    dir1=$$subdir; dir2="$(top_distdir)"; \
	    $(am__relativize); \
	    new_top_distdir=$$reldir; \
	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
	    ($(am__cd) $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$new_top_distdir" \
	        distdir="$$new_distdir" \
		am__remove_distdir=: \
		am__skip_length_check=: \
		am__skip_mode_fix=: \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_LTLIBRARIES) $(check_PROGRAMS)
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-recursive
all-am: Makefile
installdirs: installdirs-recursive
installdirs-am:
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-checkLTLIBRARIES clean-checkPROGRAMS clean-generic \
	clean-libtool clean-local mostlyclean-am

distclean: distclean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

html-am:

info: info-recursive

info-am:

install-data-am:

install-dvi: install-dvi-recursive

install-dvi-am:

install-exec-am:

install-html: install-html-recursive

install-html-am:

install-info: install-info-recursive

install-info-am:

install-man:

install-pdf: install-pdf-recursive

install-pdf-am:

install-ps: install-ps-recursive

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am:

.MAKE: $(am__recursive_targets) check-am install-am install-strip

.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
	check-TESTS check-am clean clean-checkLTLIBRARIES \
	clean-checkPROGRAMS clean-generic clean-libtool clean-local \
	cscopelist-am ctags ctags-am distclean distclean-compile \
	distclean-generic distclean-libtool distclean-tags distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs installdirs-am \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	pdf pdf-am ps ps-am tags tags-am uninstall uninstall-am


gen-c_glib/t_test_debug_proto_test_types.c gen-c_glib/t_test_debug_proto_test_types.h gen-c_glib/t_test_empty_service.c gen-c_glib/t_test_empty_service.h gen-c_glib/t_test_inherited.c gen-c_glib/t_test_inherited.h gen-c_glib/t_test_reverse_order_service.c gen-c_glib/t_test_reverse_order_service.h gen-c_glib/t_test_service_for_exception_with_a_map.c gen-c_glib/t_test_service_for_exception_with_a_map.h gen-c_glib/t_test_srv.c gen-c_glib/t_test_srv.h: ../../../test/DebugProtoTest.thrift
	$(THRIFT) --gen c_glib $<

gen-c_glib/t_test_optional_required_test_types.c gen-c_glib/t_test_optional_required_test_types.h: ../../../test/OptionalRequiredTest.thrift
	$(THRIFT) --gen c_glib $<

gen-c_glib/t_test_second_service.c gen-c_glib/t_test_thrift_test.c gen-c_glib/t_test_thrift_test_types.c gen-c_glib/t_test_second_service.h gen-c_glib/t_test_thrift_test-.h gen-c_glib/t_test_thrift_test_types.h: ../../../test/ThriftTest.thrift
	$(THRIFT) --gen c_glib $<

gen-cpp/ThriftTest.cpp gen-cpp/ThriftTest_constants.cpp gen-cpp/ThriftTest_types.cpp: ../../../test/ThriftTest.thrift
	$(THRIFT) --gen cpp $<

memcheck: $(check_PROGRAMS)
	@for x in $(check_PROGRAMS);                                     \
	  do                                                             \
	    $(MAKE) memcheck-$$x;                                        \
	  done

leakcheck: $(check_PROGRAMS)
	@for x in $(check_PROGRAMS);                                     \
	  do                                                             \
	    $(MAKE) leakcheck-$$x;                                       \
	done

memcheck-%: %
	@echo "*****************************************";               \
	echo "MEMCHECK: $<";                                             \
	echo "ARGS: ${VALGRIND_OPTS} ${VALGRIND_MEM_OPTS} ${$<_VALGRIND_MEM_OPTS}";                                                                      \
	$(LIBTOOL) --mode=execute                                        \
	  valgrind                                                       \
	    ${VALGRIND_OPTS}                                             \
	    ${VALGRIND_MEM_OPTS}                                         \
	    ${$<_VALGRIND_MEM_OPTS} ./$<

leakcheck-%: %
	@echo "*****************************************";              \
	echo "LEAKCHECK: $<";                                           \
	echo "ARGS: ${VALGRIND_OPTS} ${VALGRIND_LEAK_OPTS} ${$<_VALGRIND_LEAK_OPTS}";                                                                   \
	G_SLICE=always-malloc $(LIBTOOL) --mode=execute                 \
	  valgrind                                                      \
	    ${VALGRIND_OPTS}                                            \
	    ${VALGRIND_LEAK_OPTS}                                       \
	    ${$<_VALGRIND_LEAK_OPTS}  ./$<

clean-local:
	$(RM) -r gen-c_glib gen-cpp

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
